GET
/api/v3/widget/mostexpensivebuildings/{specificWidgetId}
Retrieves the most expensive building data for a specific widget
GetMostExpensiveBuildingsV3
Path Parameters
| Name |
Description |
Type |
Required |
| specificWidgetId |
Specific widget identifier to get the data for |
integer (int32) |
Required |
Query Parameters
| Name |
Description |
Type |
Required |
| filter |
|
string (string) |
Optional |
Filters
| Filter |
Description |
Type |
Operators |
| accountId |
|
Integer |
equals
|
| budgetVersionId |
|
Integer |
equals
|
| Channel |
Channel |
String |
equals
|
| chartType |
Chart Type |
String |
equals
|
| commodityCategoryID |
|
Integer |
equals
|
| commodityId |
|
Integer |
equals
|
| cumulative |
Display as Cumulative |
Boolean |
equals
|
| DataPointID |
|
Integer |
equals
|
| emissionSourceId |
|
Integer |
equals
|
| EsaChannelID |
|
Integer |
equals
|
| esaIntervalWidgetGroupBy |
Group By |
String |
equals
|
| includeAccountCharges |
Include Account Charges |
Boolean |
equals
|
| includeAccruals |
Include Accruals |
Boolean |
equals
|
| meterGroupInfo |
Meter Group Display |
String |
equals
|
| meterId |
|
Integer |
equals
|
| numberOfYears |
|
Integer |
equals
|
| placeGroupId |
|
Integer |
equals
|
| placeGroupName |
Place Group Name |
String |
equals
|
| rateId |
|
Integer |
equals
|
| readingDate |
Reading Date |
DateTime |
equals
between
today
yesterday
last 7 days
last 14 days
last 30 days
last 60 days
last 90 days
|
| Schedule |
Schedule |
String |
equals
|
| topmostCollectionId |
|
Integer |
equals
|
| topmostCostCenterId |
|
Integer |
equals
|
| topmostPlaceCode |
Topmost Place Code |
String |
equals
|
| topmostPlaceId |
|
Integer |
equals
|
| topmostPlaceName |
Topmost Place Name |
String |
equals
|
| vendorId |
|
Integer |
equals
|
Responses
Response Body Parameters
Array of:
PlaceCost
| Property |
Description |
Type |
| areaUnit |
Area Units |
string |
| costPerArea |
Cost per area |
number (double) |
| costUnit |
|
UnitChild |
|
UnitChild properties
| Property |
Description |
Type |
| unitCode |
The unit code |
string |
| unitId |
The unit identifier |
integer (int32) |
| unitInfo |
The unit info |
string |
|
| currentArea |
Current Area |
integer (int32) |
| currentAreaUnit |
Current Area Units |
string |
| place |
|
PlaceChild |
|
PlaceChild properties
| Property |
Description |
Type |
| isDataRolledUp |
Tells whether or not the place’s data is rolled up to its parents. |
boolean |
| placeCode |
The place code |
string |
| placeId |
The place identifier |
integer (int32) |
| placeInfo |
The place info |
string |
| placeType |
|
PlaceTypeResponse |
|
PlaceTypeResponse properties
| Property |
Description |
Type |
| icon |
|
Icon |
|
Icon properties
| Property |
Description |
Type |
| code |
The icon code Must be between 0 and 64 characters Required when Color is set |
string |
| color |
The icon color Must be between 0 and 32 characters Required when Code is set |
string |
|
| isSystemPlaceType |
Flag to indicate if the place type is a system-level place type |
boolean |
| placeEntityType |
|
PlaceEntityTypeV202406 |
|
PlaceEntityTypeV202406 properties
| Property |
Description |
Type |
| placeEntityTypeId |
The place entity type identifier |
integer (int32) |
| placeEntityTypeInfo |
The place entity type name |
string |
|
| placeTypeCode |
The place type code |
string |
| placeTypeId |
The place type identifier |
integer (int32) |
| placeTypeInfo |
The place type info |
string |
| structure |
Indicates if the place is a structure |
boolean |
|
|
| totalCost |
Total cost |
number (double) |
[
{ "areaUnit": "string", "costPerArea": 1.0, "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "currentArea": 1, "currentAreaUnit": "string", "place": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}, "totalCost": 1.0
}
]